
RSB GStreamer Integration - Bug #1366
Ambiguous call to member function 'setCreateTime'?
01/28/2013 05:42 PM - S. Wrede

Status: Resolved Start date: 01/28/2013
Priority: Normal Due date:
Assignee: J. Moringen % Done: 100%
Category: Estimated time: 0.00 hour
Target version: rsb-0.9
Description

I've experienced the following problem when compiling rsb-gstreamer (all dependencies on master) with llvm on MacOS:

[ 77%] Building CXX object CMakeFiles/gstrsb.dir/src/gst_rsb_audio_sink.cpp.o
/Users/swrede/Workspace/rsb-gstreamer/src/gst_rsb_audio_sink.cpp:227:30: error: call to member function 'setCreateTime' is
ambiguous
    event->mutableMetaData().setCreateTime(GST_BUFFER_TIMESTAMP(buffer) / 1000);
    ~~~~~~~~~~~~~~~~~~~~~~~~~^~~~~~~~~~~~~
/usr/local/share/rsb0.9/../../include/rsb0.9/rsb/MetaData.h:106:10: note: candidate function
    void setCreateTime(const boost::uint64_t& time = 0);
         ^
/usr/local/share/rsb0.9/../../include/rsb0.9/rsb/MetaData.h:107:10: note: candidate function
    void setCreateTime(const double& time);
         ^
/usr/local/share/rsb0.9/../../include/rsb0.9/rsb/MetaData.h:108:10: note: candidate function not viable: no known conversion from
'unsigned long' to
      'const boost::posix_time::ptime' for 1st argument;
    void setCreateTime(const boost::posix_time::ptime& time);
         ^
1 error generated.
make[2]: *** [CMakeFiles/gstrsb.dir/src/gst_rsb_audio_sink.cpp.o] Error 1
make[1]: *** [CMakeFiles/gstrsb.dir/all] Error 

Related issues:
Related to RSB GStreamer Integration - Bug # 1249: Building fails on Mac OS X Closed 11/20/2012

Associated revisions
Revision be15f6b5 - 01/28/2013 09:27 PM - J. Moringen

Fixed call to setCreateTime in src/gst_rsb_{audio,video}_sink.cpp

fixes #1366

    -  src/gst_rsb_audio_sink.cpp (gst_rsb_audio_sink_chain): explicitly
  cast timestamp value to double to avoid ambiguity for overloaded
  setCreateTime methods

    -  src/gst_rsb_video_sink.cpp (gst_rsb_video_sink_chain): likewise

History
#1 - 01/28/2013 05:43 PM - J. Wienke
- Project changed from Robotics Service Bus to RSB GStreamer Integration
- Category deleted (C++)

This is a problem of the gstreamer plugins. It needs to explicitly select the correct data type for the call.

#2 - 01/28/2013 09:28 PM - J. Moringen
- Status changed from New to Resolved
- % Done changed from 0 to 100

Applied in changeset rsb-gstreamer|commit:be15f6b53bcd2063d92eabb2fbd8ee6c848466d0.

#3 - 01/28/2013 09:28 PM - J. Moringen
- Status changed from Resolved to Feedback
- Assignee set to J. Moringen

Does this speculative fix help?

#4 - 01/29/2013 10:57 AM - S. Wrede
- Status changed from Feedback to Resolved

Thx. Works for me.
